GasTankerDocs
Gas operations

Get a gas operation

GET
/v1/gas/operations/{id}

Authorization

apiKeyAuth
headerX-API-Key<token>

Organization-owned GasTanker API key.

Path Parameters

id*string

Response Body

Response for status 200

application/json
  1. response
id*string
organizationId*string
walletId*string
policyId*string
observedBalanceBaseUnits*string

Decimal string in the wallet network's native-asset base units (wei, lamports, stroops or MIST).

Match^(0|[1-9][0-9]*)$
requiredBaseUnits*string

Decimal string in the wallet network's native-asset base units (wei, lamports, stroops or MIST).

Match^(0|[1-9][0-9]*)$
status*string
idempotencyKey*string
createdAt*string
curl -X GET 'https://api.gastanker.xyz/v1/gas/operations/string'
{  "id": "string",  "organizationId": "string",  "walletId": "string",  "policyId": "string",  "observedBalanceBaseUnits": "string",  "requiredBaseUnits": "string",  "status": "string",  "idempotencyKey": "string",  "createdAt": "string"}